export default class DndManager {
    constructor(treeRef: any);
    treeRef: any;
    get startDrag(): any;
    get dragHover(): any;
    get endDrag(): any;
    get drop(): any;
    get treeId(): any;
    get dndType(): any;
    get treeData(): any;
    get getNodeKey(): any;
    get customCanDrop(): any;
    get maxDepth(): any;
    resetDragVariables(): void;
    lastDropTargetNode: any;
    lastDropTargetDepth: any;
    hoverProps: {
        dropTargetProps: any;
        monitor: any;
        component: any;
    };
    lastCanDropResult: any;
    lastCanDropProps: {
        nodeId: any;
        rowAbove: any;
        abovePath: any;
        aboveNodeId: any;
        blocksOffset: number;
    };
    shouldSkipMoreFrames: boolean;
    rafId: number;
    getTargetDepth(dropTargetProps: any, monitor: any, component: any): number;
    canDrop(dropTargetProps: any, monitor: any): any;
    wrapSource(el: any): import("react-dnd").DndComponentClass<any, import("react-dnd").Omit<unknown, never>>;
    hoverHandler: () => void;
    deferredCallHoverHandler: () => void;
    wrapTarget(el: any): import("react-dnd").DndComponentClass<any, import("react-dnd").Omit<unknown, never>>;
    wrapPlaceholder(el: any): import("react-dnd").DndComponentClass<any, import("react-dnd").Omit<unknown, never>>;
}
